package eu.mhsl.craftattack.spawn.appliances.knockDoor;

import eu.mhsl.craftattack.spawn.appliance.ApplianceListener;
import org.bukkit.GameMode;
import org.bukkit.block.Block;
import org.bukkit.block.data.type.Door;
import org.bukkit.event.EventHandler;
import org.bukkit.event.block.Action;
import org.bukkit.event.player.PlayerInteractEvent;
import org.bukkit.inventory.EquipmentSlot;

import java.util.Objects;

public class KnockDoorListener extends ApplianceListener<KnockDoor> {
    @EventHandler
    public void onKnock(PlayerInteractEvent event) {
        if(!event.getAction().equals(Action.LEFT_CLICK_BLOCK)) return;
        if(!Objects.equals(event.getHand(), EquipmentSlot.HAND)) return;
        if(event.getPlayer().getGameMode() != GameMode.SURVIVAL) return;
        Block block = event.getClickedBlock();
        if(block == null) return;
        if(!(block.getBlockData() instanceof Door)) return;
        getAppliance().knockAtDoor(event.getPlayer(), block);
    }
}
